Bug 458390 - RFC: Install the lam module file in the system's default $MODULEPATH
RFC: Install the lam module file in the system's default $MODULEPATH
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 19:05 EDT by Deji Akingunola
Modified: 2009-06-15 22:20 EDT (History)
0 users

See Also:
Fixed In Version: 7.1.4-7.fc10
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:36:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2008-08-07 19:05:36 EDT
Description of problem: As the lam package now solely use environment module to load it environment, it'll be nice to have it install the module file (lam.module) in the environment_module's default $MODULEPATH (/usr/share/Modules/modulefiles on Fedora). If this is done for all the MPI programs using environment_module, then running 'module avail' will give a quick feedback of what MPI choices (or other module program) the user have.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2009-05-29 09:18:32 EDT
lam-7.1.4-7.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lam-7.1.4-7.fc9
Comment 2 Fedora Update System 2009-05-29 09:18:46 EDT
lam-7.1.4-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lam-7.1.4-7.fc10
Comment 3 Fedora Update System 2009-05-29 09:18:58 EDT
lam-7.1.4-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lam-7.1.4-7.fc11
Comment 4 Fedora Update System 2009-06-02 10:15:04 EDT
lam-7.1.4-7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5711
Comment 5 Fedora Update System 2009-06-02 10:17:04 EDT
lam-7.1.4-7.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update lam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5715
Comment 6 Fedora Update System 2009-06-02 10:20:47 EDT
lam-7.1.4-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5737
Comment 7 Fedora Update System 2009-06-15 21:36:41 EDT
lam-7.1.4-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-06-15 21:43:40 EDT
lam-7.1.4-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-06-15 22:20:45 EDT
lam-7.1.4-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.